﻿@using System.Web.UI.WebControls;
@using System.Web.Mvc;
@using DevExpress.Web.Mvc;
@using DevExpress.Web.Mvc.UI;
@using Portal.Models.Forecast;
@using Portal.Models.SupplierFeedbackPart;

@model Toyota.Common.Web.MVC.ModelHolder
           
@*--- Changed by/date  : fid.salman/17-jan-2013 *@

@*<div class="MiddlePart">*@
<div>
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr style="height:100px;">
            <td style="width: 200px; height:100%">
                @*@Html.DevExpress().RoundPanel(
                    settings =>
                    {
                        settings.Name = "ForecastFeedbackPartHeaderLeftPanel";
                        settings.ShowHeader = false;
                        settings.Height = Unit.Percentage(100);
                        settings.Width = Unit.Percentage(100);
                        settings.View = DevExpress.Web.ASPxRoundPanel.View.GroupBox;
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                        settings.SetContent(() =>
                        {
                            //Html.RenderAction("PartialLeftHeaderForecastFeedbackPart", "Forecast");
                            Html.RenderPartial("~/Views/SupplierFeedbackPart/SupplierFeedbackPartLeftHeaderPartial_Forecast.cshtml", Model);                            
                        });
                    }).GetHtml()*@
                <div style="width:100%; height:100%; border:1px solid #142B94; background-color:#DEECFD;">
                @Html.Partial("~/Views/SupplierFeedbackPart/SupplierFeedbackPartLeftHeaderPartial_Forecast.cshtml", Model)                            
                </div>
            </td>
            <td style="width: 20px;">
            </td>
            <td style="width: 400px; height:100%">
                @*@Html.DevExpress().RoundPanel(
                    settings =>
                    {
                        settings.Name = "ForecastFeedbackPartHeaderRightPanel";
                        settings.ShowHeader = false;
                        settings.Height = Unit.Percentage(100);
                        settings.Width = Unit.Percentage(100);
                        settings.View = DevExpress.Web.ASPxRoundPanel.View.GroupBox;
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Right;
                        //settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0x92D050);
                        //settings.ControlStyle.BackColor = System.Drawing.Color.LightBlue;
                        settings.SetContent(() =>
                        {
                            //Html.RenderAction("PartialRightHeaderForecastFeedbackPart", "Forecast");
                            Html.RenderPartial("~/Views/SupplierFeedbackPart/SupplierFeedbackPartRightHeaderPartial_Forecast.cshtml", Model);
                        });
                    }).GetHtml()*@
                <div style="width:100%; height:100%; border:1px solid #142B94; background-color:#DEECFD;">
                @Html.Partial("~/Views/SupplierFeedbackPart/SupplierFeedbackPartRightHeaderPartial_Forecast.cshtml", Model)                            
                </div>
            </td>
            <td style="width: 20px;">
            </td>
            <td style="width: 350px; height:100%">
                @*@Html.DevExpress().RoundPanel(
                    settings =>
                    {
                        settings.Name = "ForecastFeedbackPartFooterPanel";
                        settings.ShowHeader = false;
                        settings.Height = Unit.Percentage(100);
                        settings.Width = Unit.Percentage(100);
                        settings.View = DevExpress.Web.ASPxRoundPanel.View.GroupBox;
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                        settings.SetContent(() =>
                        {
                            //Html.RenderAction("PartialFooterForecastFeedbackPart", "Forecast");
                            Html.RenderPartial("~/Views/SupplierFeedbackPart/SupplierFeedbackPartFooterPartial_Forecast.cshtml", Model);
                        });
                    }).GetHtml()                  *@
                <div style="width:100%; height:100%; border:1px solid #142B94; background-color:#DEECFD;">
                @Html.Partial("~/Views/SupplierFeedbackPart/SupplierFeedbackPartFooterPartial_Forecast.cshtml", Model)                            
                </div>
            </td>
            <td>
            </td>
        </tr>
    </table>
</div>
<div style="height: 15px;"></div> @* div spacing *@
<div id="SupplierFeedbackPartGridPartial_Forecast">
    @Html.Partial("~/Views/SupplierFeedbackPart/SupplierFeedbackPartGridPartial_Forecast.cshtml", Model)
</div>
<br />
